Skip to content

Your data / PVP tracker / Enemy teams

GET
https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/enemy-teams/:teamId

Gets an enemy team.

Parameters

  • seasonId (path): The season id.
  • teamId (path): The enemy team id.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Path parameters

NameValue
seasonId
teamId
curl https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/enemy-teams/:teamId \
  -H 'Authorization: Bearer {{api_key}}'
Response
{
  "data": {
    "id": "mx79k2hd4rqf3wv8ntc6e1jpbs8g5y0a",
    "createdAt": "2026-09-25T21:42:13.511Z",
    "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx",
    "enemyPresetId": "md72rqbddfd4jdhq9e32xxq62n8e81q1",
    "teamKey": "8dab5837290edda8",
    "team": [
      {
        "studentId": "iori"
      },
      {
        "studentId": "eimi"
      },
      {
        "studentId": "hoshino_battle_dealer"
      },
      {
        "studentId": "hoshino"
      },
      {
        "studentId": "michiru_dress"
      },
      {
        "studentId": "atsuko_swimsuit"
      }
    ],
    "matchType": "defense",
    "updatedAt": 1790372533511
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc